GET
List Settlement Disputes for a Partner
This API call allows partners to list disputes associated with their settlements.
Requires access token scope: settlement_network_read
Path Params
-
enterpriseIdstring requiredThe enterprise identifier of the partner. This identifies the partner enterprise making the API request.
Query Params
-
settlementIdsarray of stringsOptional array of settlement ids. If provided will only return disputes with a disputedSettlementId matching one of the provided settlementIds. -
settledInSettlementIdsarray of stringsOptional array of settlement ids. If provided will only return disputes with a settledInSettlementId matching one of the provided settlementIds. -
connectionIdsarray of stringsOptional array of connection ids. If provided will only return disputes with a connectionId matching one of the provided connectionIds. -
partnerIdsarray of stringsOptional array of partner ids. If provided will only return disputes for settlements initiated by a partner with an id matching one of the provided partnerIds. -
closedbooleanOptional boolean value indicating whether to include only closed/open disputes in the response. If true is provided, only closed disputes will be returned. If false is provided, only open disputes will be returned. If not provided, all disputes will be returned. -
disputeIdsarray of stringsOptional array of disputeIds. If provided will only return disputes with an id matching one of the provided disputeIds. -
disputeClosureIdsarray of stringsOptional array of disputeClosureIds. If provided will only return disputes with a disputeClosureId matching one of the provided disputeClosureIds. -
pageNumberstring integerThe page number (integer) you wish to fetch. When provided, the API will skip pageSize * pageNumber records. Page numbers are zero-based, so the first page is 0. If not provided, defaults to 0. -
pageSizestringThe page size (integer) you wish to fetch. When provided, the API will return at most pageSize records per page. If not provided, a default page size defined by the server will be used. -
settlementExternalIdsarray of stringsOptional array of settlement externalIds. If provided will only return disputes with a disputedSettlementId of a settlement with an externalId matching one of the provided settlementExternalIds. -
settledInSettlementExternalIdsarray of stringsOptional array of settlement externalIds. If provided will only return disputes with a settledInSettlementId of a settlement with an externalId matching one of the provided settlementExternalIds. -
showRetractedbooleanOptional boolean value indicating whether to include only retracted disputes in the response. If true is provided, retracted and non-retracted disputes will be returned. If false is provided or not provided, only non-retracted disputes will be returned. -
clientIdsarray of stringsOptional array of clientIds. If provided will only return disputes for settlements initiated by a client with an id matching one of the provided clientIds.
Responses
200
OK
Response Body
object
-
disputesarray of objects requireddisputes object
-
disputeClosureobjectdisputeClosure object
-
idstring requiredThe unique identifier of the dispute closure. -
closedBystring enum requiredWho closed the dispute.
admin- The dispute was closed by an admin.client- The dispute was closed by a client.
clientadmin -
userIdstring requiredThe id of the user who closed the dispute. -
notesstring requirednotes entered by the user when closing the dispute. -
adjustedSettlementTransfersarray of objects requiredThe resulting settlement transfers generated when the dispute was closedadjustedSettlementTransfers object
-
idstring requiredThe unique identifier of the settlement transfer. -
sourceTradingAccountIdstring requiredThe go account id of the source party. -
destinationTradingAccountIdstring requiredThe go account id of the destination party. -
destinationNetworkAccountIdstring requiredThe network account id of the destination party. -
disputeClosureIdstring requiredThe unique identifier of the dispute closure the settlement transfer was created from. This is a UUID that uniquely identifies dispute closure if the transfer was created as a result of closing a dispute. -
currencystring requiredThe currency involved in the settlement movement. -
quantitystring requiredThe amount of currency being transferred in the settlement transfer. This is a non-zero value represented as a string. If the value is positive, that means funds were moved from the source account to the destination account. If the value is negative, that means funds were moved from the destination account to the source account. -
statusstring enum requiredThe status of the settlement transfer. Possible values and implications are:
- pending: The transfer is pending and has not yet been processed.
- pending_onchain: The transfer is pending on-chain movement (only relevant to on-chain settlements).
- onchain_initiated: The transfer has been initiated on-chain (only relevant to on-chain settlements).
- onchain_failed: The on-chain transfer has failed (only relevant to on-chain settlements).
- completed: The transfer has been completed successfully.
- failed: The transfer has failed.
- rejected: The transfer has been rejected.
- disputed: The transfer is disputed.
pendingpending_onchainonchain_initiatedonchain_failedcompletedfailedrejecteddisputedpending_settlement_assignment -
createdAtstring date-time requiredThe date and time when the settlement transfer was created. Represented as an ISO 8601 formatted date string. -
updatedAtstring date-time requiredThe date and time when the settlement transfer was last updated. Represented as an ISO 8601 formatted date string. -
settlementIdstringThe unique identifier of the settlement the settlement transfer is associated with. This is a UUID that uniquely identifies the settlement. Will only be undefined if the settlement transfer is inpending_settlement_assignmentstatus. -
sourceNetworkAccountIdstringThe network account id of the source party.
-
-
createdAtstring date-time requiredThe date and time when the dispute closure was created. -
statusstring enum requiredThe status of the dispute closure review.pending_reviewapprovedrejected -
adjustedTransfersmap of strings requiredThe adjusted transfers as a result of the dispute closure.adjustedTransfers object
-
<key>string
-
-
reviewedBystringThe id of the admin who reviewed the dispute closure. -
reviewNotesstringAny comments entered by the admin when reviewing the dispute closure.
-
-
idstring required -
createdAtstring date-time required -
updatedAtstring date-time required -
connectionIdstring required -
disputedSettlementIdstring required -
userIdstring required -
expectedTransfersmap of strings requiredexpectedTransfers object
-
<key>string
-
-
retractedboolean required -
settledInSettlementIdstring -
reasonstring -
retractedBystring -
retractedAtstring date-time -
disputeClosureIdstring -
retractedReasonstring
-
400
Bad Request
No response body
401
Unauthorized
Response Body
object
-
errorstring required
403
Forbidden
Response Body
object
-
errorstring required
404
Not Found
Response Body
object
-
errorstring required
409
Conflict
Response Body
object
-
errorstring required
422
Unprocessable Entity
Response Body
object
-
errorstring required
500
Internal Server Error
Response Body
object
-
errorstring required